QwtPlotPanner(3)

NAME
QwtPlotPanner - QwtPlotPanner provides panning of a plot canvas.

SYNOPSIS

#include <qwt_plot_panner.h>

Inherits QwtPanner.

  Public Member Functions
QwtPlotPanner (QWidget *)
A panner for the canvas of a QwtPlot.
virtual ~QwtPlotPanner ()
Destructor.
QWidget * canvas ()
Return observed plot canvas.
const QWidget * canvas () const
Return Observed plot canvas.
QwtPlot * plot ()
Return plot widget, containing the observed plot canvas.
const QwtPlot * plot () const
Return plot widget, containing the observed plot canvas.
void setAxisEnabled (int axis, bool on)
En/Disable an axis.
bool isAxisEnabled (int axis) const

  Protected Slots
virtual void moveCanvas (int dx, int dy)

  Protected Member Functions
virtual QBitmap contentsMask () const
virtual QPixmap grab () const

  Additional Inherited Members

Detailed Description

QwtPlotPanner provides panning of a plot canvas. QwtPlotPanner is a panner for a plot canvas, that adjusts the scales of the axes after dropping the canvas on its new position.

Together with QwtPlotZoomer and QwtPlotMagnifier powerful ways of navigating on a QwtPlot widget can be implemented easily.

Note:
    The axes are not updated, while dragging the canvas

See also:
    QwtPlotZoomer, QwtPlotMagnifier

Constructor & Destructor Documentation

  QwtPlotPanner::QwtPlotPanner (QWidget * canvas) [explicit]

A panner for the canvas of a QwtPlot. The panner is enabled for all axes

Parameters:
    canvas Plot canvas to pan, also the parent object

See also:
    setAxisEnabled()

Member Function Documentation

  QBitmap QwtPlotPanner::contentsMask () const [protected], [virtual]
Calculate a mask from the border path of the canvas

Returns:
    Mask as bitmap

See also:
    QwtPlotCanvas::borderPath()

Reimplemented from QwtPanner.

  QPixmap QwtPlotPanner::grab () const [protected], [virtual]

Returns:
    Pixmap with the content of the canvas

Reimplemented from QwtPanner.

  bool QwtPlotPanner::isAxisEnabled (int axis) const
Test if an axis is enabled

Parameters:
    axis Axis, see QwtPlot::Axis

Returns:
    True, if the axis is enabled

See also:
    setAxisEnabled(), moveCanvas()

  void QwtPlotPanner::moveCanvas (int dx, int dy) [protected], [virtual], [slot]
Adjust the enabled axes according to dx/dy

Parameters:
    dx Pixel offset in x direction
    dy Pixel offset in y direction

See also:
    QwtPanner::panned()

  void QwtPlotPanner::setAxisEnabled (int axis, bool on)

En/Disable an axis. Axes that are enabled will be synchronized to the result of panning. All other axes will remain unchanged.

Parameters:
    axis Axis, see QwtPlot::Axis
    on On/Off

See also:
    isAxisEnabled(), moveCanvas()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.